Are there phone requirements for the PQ app?

Please know PQ app requires a minimum iOS version 15 and a minimum Android version 8.1.

While it's ideal to have a phone that meets these requirements, you can also view the app online. Check out the article here

Did this answer your question? Thanks for the feedback There was a problem submitting your feedback. Please try again later.